﻿Option Strict On
Imports Windows.System.Threading
' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    ''' 
    Dim myTimer As New DispatcherTimer
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)

        myTimer.Interval = New TimeSpan(0, 0, 1)
        Dim no As Integer = 6
        AddHandler myTimer.Tick, Sub()
                                     If no = 360 Then
                                         no = 0
                                     Else
                                         TextBlock1.Text = CStr(no / 6)
                                         pieSlice1.EndAngle = no
                                         no += 6

                                     End If
                                 End Sub
        myTimer.Start()
    End Sub

    Protected Overrides Sub OnNavigatedFrom(e As Navigation.NavigationEventArgs)
        myTimer.Stop()
        MyBase.OnNavigatedFrom(e)
    End Sub

End Class
